org.apache.xmlbeans

## Class XmlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmlbeans.XmlException

- All Implemented Interfaces:
    java.io.Serializable

      public class XmlException
      extends java.lang.Exception

  A checked exception that can be thrown while processing, parsing, or compiling XML. May contain any number of `XmlError` objects.

  See Also:
    `XmlError`, `XmlRuntimeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlException(java.lang.String m)` Constructs an XmlException from a message.
    `XmlException(java.lang.String m, java.lang.Throwable t)` Constructs an XmlException from a message and a cause.
    `XmlException(java.lang.String m, java.lang.Throwable t, java.util.Collection errors)` Constructs an XmlException from a message, a cause, and a collection of `XmlErrors`.
    `XmlException(java.lang.String m, java.lang.Throwable t, XmlError error)` Constructs an XmlException from a message, a cause, and an `XmlError`.
    `XmlException(java.lang.Throwable t)` Constructs an XmlException from a cause.
    `XmlException(XmlError error)` Constructs an XmlException from an `XmlError`.
    `XmlException(XmlRuntimeException xmlRuntimeException)` Constructs an XmlException from an `XmlRuntimeException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlError` | `getError()` Returns the first `XmlErrors` that caused the exception, if any.
    `java.util.Collection` | `getErrors()` Returns the collection of `XmlErrors` that caused the exception, if any.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlException

          public XmlException(java.lang.String m)

      Constructs an XmlException from a message.

    - #### XmlException

          public XmlException(java.lang.String m,
                              java.lang.Throwable t)

      Constructs an XmlException from a message and a cause.

    - #### XmlException

          public XmlException(java.lang.Throwable t)

      Constructs an XmlException from a cause.

    - #### XmlException

          public XmlException(XmlError error)

      Constructs an XmlException from an `XmlError`.

    - #### XmlException

          public XmlException(java.lang.String m,
                              java.lang.Throwable t,
                              XmlError error)

      Constructs an XmlException from a message, a cause, and an `XmlError`.

    - #### XmlException

          public XmlException(java.lang.String m,
                              java.lang.Throwable t,
                              java.util.Collection errors)

      Constructs an XmlException from a message, a cause, and a collection of `XmlErrors`.

    - #### XmlException

          public XmlException(XmlRuntimeException xmlRuntimeException)

      Constructs an XmlException from an `XmlRuntimeException`.

  - ### Method Detail

    - #### getError

          public XmlError getError()

      Returns the first `XmlErrors` that caused the exception, if any.

    - #### getErrors

          public java.util.Collection getErrors()

      Returns the collection of `XmlErrors` that caused the exception, if any.